com.io7m.jcanephora.core

## Enum JCGLQueryResultAvailability

- java.lang.Object
- - java.lang.Enum<JCGLQueryResultAvailability>
  - - com.io7m.jcanephora.core.JCGLQueryResultAvailability

- All Implemented Interfaces:
    Serializable, Comparable<JCGLQueryResultAvailability>

      public enum JCGLQueryResultAvailability
      extends Enum<JCGLQueryResultAvailability>

  The availability of a query result.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `QUERY_RESULT_AVAILABLE` A query result is available.
    `QUERY_RESULT_NOT_YET_AVAILABLE` A query result is not yet available, but the query is either running or is due to run.
    `QUERY_RESULT_NOT_YET_REQUESTED` A query result is not available and will not be available until the query is actually told to execute.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLQueryResultAvailability` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JCGLQueryResultAvailability[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUERY_RESULT_AVAILABLE

          public static final JCGLQueryResultAvailability QUERY_RESULT_AVAILABLE

      A query result is available.

    - #### QUERY_RESULT_NOT_YET_AVAILABLE

          public static final JCGLQueryResultAvailability QUERY_RESULT_NOT_YET_AVAILABLE

      A query result is not yet available, but the query is either running or is due to run.

    - #### QUERY_RESULT_NOT_YET_REQUESTED

          public static final JCGLQueryResultAvailability QUERY_RESULT_NOT_YET_REQUESTED

      A query result is not available and will not be available until the query is actually told to execute.

  - ### Method Detail

    - #### values

          public static JCGLQueryResultAvailability[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JCGLQueryResultAvailability c : JCGLQueryResultAvailability.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JCGLQueryResultAvailability valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2017 <code@io7m.com> http://io7m.com